Package: libyaml-libyaml-perl / 0.63-2

Metadata

Package Version Patches format
libyaml-libyaml-perl 0.63-2 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
disable update.sh.patch | (download)

LibYAML/Makefile.PL | 8 4 + 4 - 0 !
1 file changed, 4 insertions(+), 4 deletions(-)

 disable maintainer helper script
libyaml node id hardening.patch | (download)

LibYAML/api.c | 7 6 + 1 - 0 !
1 file changed, 6 insertions(+), 1 deletion(-)

 cve-2013-6393: yaml_stack_extend: guard against integer overflow
 This is a hardening patch also from Florian Weimer
 <fweimer@redhat.com>.  It is not required to fix this CVE however it
 improves the robustness of the code against future issues by avoiding
 large node ID's in a central place.
Load B Deparse at runtime.patch | (download)

lib/YAML/XS.pm | 6 1 + 5 - 0 !
1 file changed, 1 insertion(+), 5 deletions(-)

 load b::deparse at runtime
 only loaded when necessary